Create project template reference files
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/references \
--header 'Authorization: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form 'file={
"bytes": [
"aSDinaTvuI8gbWludGxpZnk="
],
"contentType": "<string>",
"empty": true,
"inputStream": {},
"name": "<string>",
"originalFilename": "<string>",
"size": 123
}'import requests
url = "https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/references"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n{\r\n \"bytes\": [\r\n \"aSDinaTvuI8gbWludGxpZnk=\"\r\n ],\r\n \"contentType\": \"<string>\",\r\n \"empty\": true,\r\n \"inputStream\": {},\r\n \"name\": \"<string>\",\r\n \"originalFilename\": \"<string>\",\r\n \"size\": 123\r\n}\r\n-----011000010111000001101001--"
headers = {
"Authorization": "<api-key>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '{
"bytes": [
"aSDinaTvuI8gbWludGxpZnk="
],
"contentType": "<string>",
"empty": true,
"inputStream": {},
"name": "<string>",
"originalFilename": "<string>",
"size": 123
}');
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
options.body = form;
fetch('https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"referenceFiles": [
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "<string>",
"note": "<string>",
"uid": "<string>"
}
]
}Reference File
Create project template reference files
The json request part allows sending additional data as JSON, such as a text note that will be used for all the given reference files. In case no file parts are sent, only 1 reference is created with the given note. Either at least one file must be sent or the note must be specified. Example:
{
"note": "Sample text"
}
Required role: Administrator or Project Manager. Maximum 50 files per request.
POST
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
/
references
Create project template reference files
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Body
multipart/form-data
Multipart request with files and JSON
Response
Created
Show child attributes
Show child attributes
Was this page helpful?
⌘I